Subject: Re: [Sipping] Recommendation from xcap-config design team meeting and response to OMA LS 178

From: Salvatore Loreto <[email-masked]>
Date: Thu, 26 Apr 2007 14:01:27 +0300

Hi,

in my understanding reading the notes of the xcap-config design
team meeting in Prague,
the Sipping Config document will re-include an Application Identifier.

is it correct?

best regards
Sal

On Wed, 2007-03-21 at 18:30 +0100, Dean Willis wrote:
> Several people from the IETF community met as a design team on March  
> 21, 2007 during IETF 68 in Prague to discuss OMA liaison statement  
> 178 on XCAP diff-event. This LS relates to OMA's requirement for an  
> event package for use in monitoring changes to non-configuration XML  
> documents. The document draft-urpalainen-sip-xcap-diff-event-01.txt  
> had been previously submitted with the intent of meeting these  
> requirements.
> 
> Attendees at this discussion included:
> 
> Jari Urpalainen
> Krisztian Kiss
> Robert Sparks
> Dan Petrie
> Cullen Jennings
> Rohan Mahy
> Sumanth Channabasappa	
> Jonathan Rosenburg
> Dean Willis
> 
> 
> The conclusion of the meeting was to recommend some changes in the  
> current sipping-config document and to recommend development of a  
> separate xcap-config document tailored to OMA's requirements (while  
> still meeting general IETF applicability goals).
> 
> Changes to the sipping-config document include adding the application  
> identifier and error responses previously identified in design team  
> discussion.
> 
> The new xcap-event package will need to support several requirements  
> referred to in draft-urpalainen-sip-xcap-diff-event-01.txt, including  
> subscribing to a xcap document or a sub-element of an xcap element.  
> It will also need to support deferred or aggregated notification. The  
> design team recommends starting with the text in draft-urpalainen-sip- 
> xcap-diff-event-01.txt, but has not agreed to the current  re-synch  
> mechanism therein which is expected to require some further work.  
> This package could be developed either as a WG effort (probably  
> within the SIPPING working group) or as an area-director sponsored  
> individual contribution. The design team feels that the general  
> applicability of this specification is sufficiently broad that it  
> should be pursued as a standards track effort, even though RFC 3325  
> and 3427 allows informational documents to define event packages of  
> this sort.
> 
> If this recommendation is accepted or declined we will need to  
> respond with an appropriate LS to OMA informing them of our intent.  
> They would like an answer within the next week or so.
> 
> --
> Dean Willis
> IETF to OMA liaison manager
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Sumanth Channabasappa" <[email-masked]>
Date: Thu, 26 Apr 2007 14:34:43 -0600

Sal,

AFAIK :^), we decided to reintroduce the 'application' profile type for
use with the SIP Configuration framework. However, we did not discuss
(or decide) if this will be part of the existing SIP configuration
framework I-D or a separate I-D. (The design team working on the I-D is
leaning towards making this a separate I-D at this point in time.) 

- S

-----Original Message-----
From: Salvatore Loreto [mailto:[email-masked]]
Sent: Thursday, April 26, 2007 5:01 AM
To: Dean Willis
Cc: Cullen Jennings; rohan Mahy; Jon Peterson; Robert Sparks
<[email-masked]>; [email-masked]; Gonzalo Camarillo; mary
Barnes; sipping LIST
Subject: Re: [Sipping] Recommendation from xcap-config design team
meetingand response to OMA LS 178

Hi,

in my understanding reading the notes of the xcap-config design team
meeting in Prague, the Sipping Config document will re-include an
Application Identifier.

is it correct?

best regards
Sal

> This package could be developed either as a WG effort (probably within

> the SIPPING working group) or as an area-director sponsored individual

> contribution. The design team feels that the general applicability of 
> this specification is sufficiently broad that it should be pursued as 
> a standards track effort, even though RFC 3325 and 3427 allows 
> informational documents to define event packages of this sort.
> 
> If this recommendation is accepted or declined we will need to respond

> with an appropriate LS to OMA informing them of our intent.
> This list is for NEW development of the application of SIP Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP Use
[email-masked] for questions on current sip Use
[email-masked] for new developments of core SIP